Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009240Multi Theft Auto : San AndreasServerpublic2016-05-15 12:072016-12-14 12:04
ReporterALBANDER 
Assigned Toccw 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0009240: "minclientversion_auto_update" Not Working Properly
Description"minclientversion_auto_update" Not Working Properly

minclientversion_auto_update return "1.5.2-9.07975.0" if the value of

minclientversion_auto_update is "1" (delay in few days)


minclientversion_auto_update return "1.5.2-9.07975.0" if the value of

minclientversion_auto_update is "2" (instant)


minclientversion_auto_update should return "1.5.2-9.07981.0" or "

1.5.2-9.07983.0"
Steps To ReproduceSunday
15 May 2016

From nightly.mtasa.com/ver :

version: 1.5
Auto-update default: 1.5.0-9.07345.0
Max recommended/minclientversion: 1.5.2-9.07981.0
Auto-update nightly: 1.5.2-9.07983.0


minclientversion_auto_update should return "1.5.2-9.07981.0"

but it return "1.5.2-9.07975.0"
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0024686)
ALBANDER (viewer)
2016-05-15 12:10
edited on: 2016-05-15 12:21

"minclientversion_auto_update" Now set minclientversion value to

"1.5.2-9.07967.0"


and it must set minclientversion value to "1.5.2-9.07983.0"


In my mtaserver.conf setting :


<minclientversion_auto_update>2</minclientversion_auto_update>


NOTE : "2" means update instant.

(0024695)
MGS (reporter)
2016-05-17 20:45
edited on: 2016-05-17 20:46

I assume it is working fine now, there was a bug in the MTA server checking update system.

Just make sure you are using latest server version (if linux) in this page:

https://linux.mtasa.com/ [^]

This feature is working now fine in GTA-AR server, so I confirmed my answer depend after many tests about this issue.

Just grab the version number if you want to do it manually from this page:
https://nightly.mtasa.com/ver/ [^]
Max recommended/minclientversion: 1.5.2-9.07985.0

(0024699)
ALBANDER (viewer)
2016-05-19 19:47

The Issue Fixed With "2" (instant)

but "1" (delay few in days) it's return "1.5.2-9.07967.0"

i suggest make value "1" check "http://nightly.mtasa.com/ver" [^] Daily.

- Issue History
Date Modified Username Field Change
2016-05-15 12:07 ALBANDER New Issue
2016-05-15 12:10 ALBANDER Note Added: 0024686
2016-05-15 12:11 ALBANDER Note Edited: 0024686 View Revisions
2016-05-15 12:21 ALBANDER Note Edited: 0024686 View Revisions
2016-05-17 20:45 MGS Note Added: 0024695
2016-05-17 20:46 MGS Note Edited: 0024695 View Revisions
2016-05-18 07:22 ccw Status new => resolved
2016-05-18 07:22 ccw Resolution open => fixed
2016-05-18 07:22 ccw Assigned To => ccw
2016-05-19 19:47 ALBANDER Note Added: 0024699
2016-07-26 16:32 qaisjp Project New issues => Multi Theft Auto : San Andreas
2016-07-26 16:32 qaisjp Target Version => Confirmed Issues
2016-07-26 16:32 qaisjp Steps to Reproduce Updated View Revisions
2016-12-14 12:04 arranTuna Target Version Confirmed Issues =>
2016-12-14 12:04 arranTuna Steps to Reproduce Updated View Revisions


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker